> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/submit-enhanced-transaction-data/line-item.md).

# Line-item

The following table describes the level 3 line-item data fields from the [Transactions API](/api-reference/api/payments/cards-card-not-present/transactions.md) request code.

<table><thead><tr><th width="180.20001220703125" valign="top">Name</th><th width="100.20001220703125" valign="top">Data type</th><th width="101.199951171875" valign="top">Required?</th><th width="84.06671142578125" valign="top">Length</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>item-description</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">35</td><td valign="top">The description of the line item. For example, Part name.</td></tr><tr><td valign="top"><code>item-net-gross-ind</code></td><td valign="top">boolean</td><td valign="top">Required</td><td valign="top">Not any</td><td valign="top"><p>Specifies whether the line-item total includes tax. Available values are:</p><ul><li><code>true</code>: Set this value to include tax.</li><li><code>false</code> Set this value to exclude tax.</li></ul></td></tr><tr><td valign="top"><code>item-product-code</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">12</td><td valign="top">The unique code for the line item. For example, SKU.</td></tr><tr><td valign="top"><code>item-quantity</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">16</td><td valign="top">The total quantity of the line item in the order. For example, 1.</td></tr><tr><td valign="top"><code>item-unit-cost</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">16</td><td valign="top">The cost of the line item for the order. For example, 10.</td></tr><tr><td valign="top"><code>item-line-total</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">14</td><td valign="top">The total amount for the line item, calculated by multiplying the <code>item-quantity</code> and <code>item-unit-cost</code> field values. For example, <code>10.00</code>.</td></tr><tr><td valign="top"><code>item-unit-of-measure</code></td><td valign="top">string</td><td valign="top">Required</td><td valign="top">14</td><td valign="top">The unit of measure for the line item, based on ANSI X-12 Allowable Units of Measure and Codes. For example, GAL.</td></tr></tbody></table>

{% hint style="warning" %}
If the sales order includes *multiple* items, each line-item field must include the required data to comply with Visa’s enhanced data quality standards.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/submit-enhanced-transaction-data/line-item.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
